import { Repository } from "typeorm";
import { Suggestion, SuggestionStatus } from "../../common/suggestion/suggestion.entity";
import { CreateSuggestionDto, UpdateSuggestionDto, UpdateSuggestionStatusDto } from "./suggestion.dto";
export declare class AdminSuggestionService {
    private readonly suggestionRepository;
    constructor(suggestionRepository: Repository<Suggestion>);
    create(createSuggestionDto: CreateSuggestionDto): Promise<Suggestion>;
    findAll(page?: number, limit?: number, status?: SuggestionStatus): Promise<{
        items: Suggestion[];
        total: number;
        page: number;
        limit: number;
    }>;
    findOne(id: number): Promise<Suggestion>;
    update(id: number, updateSuggestionDto: UpdateSuggestionDto): Promise<Suggestion>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, updateStatusDto: UpdateSuggestionStatusDto): Promise<Suggestion>;
}
